<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/whiteSmoke"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_base_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <androidx.cardview.widget.CardView style="@style/cardViewStyle">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/caseClassLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="案卷类型" />

                    <TextView
                        android:id="@+id/caseClassView"
                        style="@style/selectTextViewStyle"
                        android:layout_toStartOf="@id/v"
                        android:hint="请选择" />

                    <ImageView
                        android:id="@+id/v"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_right" />
                </RelativeLayout>

                <include layout="@layout/line" />

                <RelativeLayout
                    android:id="@+id/caseLargeClassLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="案卷大类" />

                    <TextView
                        android:id="@+id/caseLargeClassView"
                        style="@style/selectTextViewStyle"
                        android:layout_toStartOf="@id/vv"
                        android:hint="请选择" />

                    <ImageView
                        android:id="@+id/vv"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_right" />
                </RelativeLayout>

                <include layout="@layout/line" />

                <RelativeLayout
                    android:id="@+id/caseSmallClassLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="案卷小类" />

                    <TextView
                        android:id="@+id/caseSmallClassView"
                        style="@style/selectTextViewStyle"
                        android:layout_toStartOf="@id/vvv"
                        android:hint="请选择" />

                    <ImageView
                        android:id="@+id/vvv"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_right" />
                </RelativeLayout>
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView style="@style/cardViewStyle">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/caseStatusLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="处理状态" />

                    <TextView
                        android:id="@+id/caseStatusView"
                        style="@style/selectTextViewStyle"
                        android:layout_toStartOf="@id/vvvv"
                        android:hint="请选择" />

                    <ImageView
                        android:id="@+id/vvvv"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_right" />
                </RelativeLayout>

                <include layout="@layout/line" />

                <RelativeLayout
                    android:id="@+id/startTimeLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="开始时间" />

                    <TextView
                        android:id="@+id/startTimeView"
                        style="@style/selectTextViewStyle"
                        android:layout_toStartOf="@id/selectStartDateView"
                        android:hint="请选择开始时间" />

                    <ImageView
                        android:id="@+id/selectStartDateView"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_calendar" />
                </RelativeLayout>

                <include layout="@layout/line" />

                <RelativeLayout
                    android:id="@+id/endTimeLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="截止时间" />

                    <TextView
                        android:id="@+id/endTimeView"
                        style="@style/selectTextViewStyle"
                        android:layout_toStartOf="@id/selectEndDateView"
                        android:hint="请选择截止时间" />

                    <ImageView
                        android:id="@+id/selectEndDateView"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_calendar" />
                </RelativeLayout>
            </LinearLayout>
        </androidx.cardview.widget.CardView>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="30dp"
            android:orientation="horizontal">

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/searchButton"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="15dp"
                android:layout_weight="1"
                android:paddingVertical="7dp"
                android:text="查询"
                android:textColor="@color/white"
                android:textSize="@dimen/titleFontSize"
                app:qmui_backgroundColor="@color/mainThemeColor"
                app:qmui_radius="5dp" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/resetButton"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="15dp"
                android:layout_weight="1"
                android:paddingVertical="7dp"
                android:text="重置"
                android:textColor="@color/white"
                android:textSize="@dimen/titleFontSize"
                app:qmui_backgroundColor="@color/mainThemeColor"
                app:qmui_radius="5dp" />
        </LinearLayout>
    </RelativeLayout>
</LinearLayout>